Policies
DELETE
/v1/policies/{tenant_id}/{app_id}/{agent_id}/{env}Delete Policy
Delete policy scope (reverts to inherited defaults). **Warning**: This permanently deletes the policy scope and all its versions. The tenant will fall back to default policies after deletion.
CI or Admin tokenscope: writeoperation_id: policies.delete
Authentication
Requires a CI- or admin-level token. Runtime tokens are rejected for mutations.
SDK install
pip install znyx-sdknpm install @znyx/sdkPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenant_id#path | string | required | — |
| app_id#path | string | required | — |
| agent_id#path | string | required | — |
| env#path | string | required | — |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
any
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | — |
| 403 | Token does not have the required role (admin / editor). | — |
| 404 | Target resource does not exist in this org. | — |
| 422 | Request body failed validation. | — |
Request
curl -X DELETE 'https://api.znyx.ai/v1/policies/00000000-0000-0000-0000-000000000000/00000000-0000-0000-0000-000000000000/00000000-0000-0000-0000-000000000000/prod' \ -H 'Authorization: Bearer $ZNYX_TOKEN'
Response
application/json
Successful Response
null
Schema: any